<template>
	<div class="content-block">
		<div class="container">
			<ui-card>
				<ui-card-header>header</ui-card-header>
				<ui-card-body closely="true">
					<ui-row>
						<ui-col :xs="24"
						        :sm="24"
						        :md="24"
						        :lg="12">
							<CreditCard/>
						</ui-col>
					</ui-row>
				</ui-card-body>
				<ui-card-footer>footer</ui-card-footer>
			</ui-card>

			<ui-button color="success" disabled v-on:click.native="handleClick">
				<span>983274928374</span>
				<SVGIcon fill="#fff" view-box="0 0 25 25" xlink="next-arrow-20">send-icon</SVGIcon>
			</ui-button>


			<PayForm></PayForm>

			<div style="height:100px"></div>
			<ui-details-card title="Детализация"
			                 expand-title="Развернуть"
			                 hide-title="Свернуть"
			                 :list="detailsListCard">
				<div slot="help">
					Детализация вашей задолженности
				</div>
			</ui-details-card>

			<ui-card>
				<ui-card-header>Способ оплаты</ui-card-header>
				<ui-card-body>
					<ui-row>
						<ui-col
							:xs="24"
							:sm="12"
							:lg="8">
							<ui-input id="enter-amount"
							          v-model="test"
							          label="Enter amount"
							          :validation="{required, minLength: minLength(4)}"
							          :error="$v.test.$invalid ? 'Корректно заполните поле' : ''"
							          type="text">
								<template slot="suffix">
									<span class="currency">₽</span>
								</template>
							</ui-input>
						</ui-col>
						<ui-col
							:xs="24"
							:sm="12"
							:lg="8"
						>
							<ui-input id="suggestions"
							          v-model="test2"
							          label="Suggestions"
							          :suggestions="suggestions"
							          :suggestion-handler="suggestionHandler"
							          type="text"/>
						</ui-col>
						<ui-col
							:xs="24"
							:sm="12"
							:lg="8">
							<ui-input id="address"
							          v-model="test3"
							          label="Address"
							          type="text"/>
						</ui-col>
					</ui-row>
				</ui-card-body>
				<ui-card-footer>
					111
				</ui-card-footer>
			</ui-card>
		</div>
	</div>
</template>

<script>
	import {validationMixin} from 'vuelidate';
	import {minLength, required} from 'vuelidate/lib/validators';

	import debounce from 'lodash/debounce';
	import PayForm from '@/components/PayForm';
	import SVGIcon from "@/components/SVGIcon/index";
	import CreditCard from "@/UI/СreditСard/index";

	export default {
		name: 'Index',
		mixins: [validationMixin],
		components: {
			CreditCard,
			SVGIcon,
			PayForm
		},
		data() {
			return {
				test: '',
				test2: '',
				test3: '',
				meTest: '',
				suggestions: [],
				detailsListCard: [
					{sum: 1000, title: 'Основной долг'},
					{sum: 1222, title: 'сумма процентов по займа'},
					{sum: 222.2, title: 'штрафы за несвоевременную оплату'}
				]
			};
		},
		validations: {
			test: {
				required,
				minLength: minLength(4),
			},
		},
		watch: {
			test: debounce(function (v) {
				this.suggestions = [
					{
						text: `${v}-11111`,
						data: {id: 1},
					}, {
						text: `${v}-22222`,
						data: {id: 2},
					}];
			}, 300),
		},
		computed: {},
		methods: {
			handleClick() {
				console.log('click')
			},
			required,
			minLength,
			back() {
				console.log('click:back');
			},

			suggestionHandler(selectedSuggestion) {
				console.log('Selected suggestion', selectedSuggestion);
				this.suggestions = [];
				this.test = selectedSuggestion.text;
			},
		},
	};

</script>
